# Date/Time Formatting

Calendar, GregorianCalendar
TimeZone, SimpleTimeZone
DateFormat,SimpleDateFormat, DateFormatSymbols

- Handle timezones and daylight savings adjustments
- Support multiple calendars
- Support European date fields
  --such as the number of the week in the year
- Like the number formatters:
  -- Support definition of formats with string patterns
  -- Can retrieve the normalized pattern
  -- Can parse anything they can format

formatting